#include <QtGui>
#include <QFtp>
#include "ui_ftp_client.h"
#include "ConnectDialog.h"

#ifndef FTP_CLIENT_H
#define FTP_CLIENT_H

class FtpClient : public QMainWindow, public Ui::MainWindow {
	Q_OBJECT
	ConnectDialog*	cd;
	QDirModel*	localModel;
	QFtp*		ftp;
	QStandardItemModel* remoteModel;
	QFile*		file;
	public:
		FtpClient();
	public slots:
		void connect();
		void getState(int state);
		void getListItem(const QUrlInfo& i);
		void changeLocalDir(const QModelIndex& index);
		void changeRemoteDir(const QModelIndex& index);
		void download();
		void upload();
		void commandFinished(int id, bool error);
};

#endif
