#include <QApplication>
#include <QtGui>

int main(int argc, char** argv){
	QApplication app(argc, argv);

	QWidget* mw              = new QWidget;
	QHBoxLayout* layout      = new QHBoxLayout;
	QLabel*      hello       = new QLabel("Hello World!");
	QPushButton* exit_button = new QPushButton("Exit");

	layout->addWidget(hello);
	layout->addWidget(exit_button);
	mw->setLayout(layout);

	QObject::connect(exit_button, SIGNAL(clicked()), &app, SLOT(quit()));

	mw->show();
	return app.exec();
}
